## peg 0.1.20+really0.1.18

=== Makefile ===
CFLAGS = -g -Wall $(OFLAGS) $(XFLAGS) -Isrc
OFLAGS = -O3 -DNDEBUG
#OFLAGS = -pg

OBJS = tree.o compile.o

all : peg leg

peg : peg.o $(OBJS)
	$(CC) $(CFLAGS) -o $@-new peg.o $(OBJS)
	mv $@-new $@

leg : leg.o $(OBJS)
	$(CC) $(CFLAGS) -o $@-new leg.o $(OBJS)
	mv $@-new $@

ROOT	=
PREFIX	= /usr/local
BINDIR	= $(ROOT)$(PREFIX)/bin
MANDIR	= $(ROOT)$(PREFIX)/man/man1

install : $(BINDIR) $(BINDIR)/peg $(BINDIR)/leg $(MANDIR) $(MANDIR)/peg.1

$(BINDIR) :
	mkdir -p $(BINDIR)

$(BINDIR)/% : %
	cp -p $< $@
	strip $@

$(MANDIR) :
	mkdir -p $(MANDIR)

$(MANDIR)/% : src/%
	cp -p $< $@

uninstall : .FORCE
	rm -f $(BINDIR)/peg
	rm -f $(BINDIR)/leg
	rm -f $(MANDIR)/peg.1

%.o : src/%.c
	$(CC) $(CFLAGS) -c -o $@ $<

peg.o : src/peg.c src/peg.peg-c

leg.o : src/leg.c

check : check-peg check-leg

check-peg : peg.peg-c .FORCE
	diff src/peg.peg-c peg.peg-c

check-leg : leg.c .FORCE
	diff src/leg.c leg.c

peg.peg-c : src/peg.peg peg
	./peg -o $@ $<

leg.c : src/leg.leg leg
	./leg -o $@ $<

new : newpeg newleg

newpeg : peg.peg-c
	mv src/peg.peg-c src/peg.peg-c-
	mv peg.peg-c src/.

newleg : leg.c
	mv src/leg.c src/leg.c-
	mv leg.c src/.

test examples : peg leg .FORCE
	$(SHELL) -ec '(cd examples;  $(MAKE))'

clean : .FORCE
	rm -f src/*~ *~ *.o *.peg.[cd] *.leg.[cd] peg.peg-c leg.c
	$(SHELL) -ec '(cd examples;  $(MAKE) $@)'

spotless : clean .FORCE
	rm -f src/*-
	rm -rf build
	rm -f peg
	rm -f leg
	$(SHELL) -ec '(cd examples;  $(MAKE) $@)'

.FORCE :

## peg 0.1.15

=== debian/changelog ===
peg (0.1.15-1) unstable; urgency=low

  * Imported Upstream version 0.1.15

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 10 Jan 2014 01:14:42 +0100

peg (0.1.14-1) unstable; urgency=low

  * Imported Upstream version 0.1.14.
  * Move from experimental to unstable.
  * Drop debian/manpages.
    (Upstream makefile now takes care of installing the manpages, so it
    is no longer needed)
  * Drop 1001_manpage_fixes.patch.
  * Refresh 2001_makefile_configuration.patch.
  * Refresh 2002_examples_fixes.patch.
  * Update copyright.
  * Bump Standards-Version to 3.9.5.
    (No changes required)
  * Add Vcs-Git and Vcs-Browser fields.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 02 Dec 2013 10:58:15 +0100

peg (0.1.9-1) experimental; urgency=low

  * Initial release.
    Closes: #666224.

 -- Giulio Paci <giuliopaci@gmail.com>  Thu, 19 Jul 2012 03:46:09 +0200

=== debian/control ===
Source: peg
Section: devel
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/peg.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/peg.git
Homepage: http://piumarta.com/software/peg/

Package: peg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: recursive-descent parser generators for C
 This package provides peg and leg, two utilities that read a Parsing
 Expression Grammar (PEG) and generate a recursive-descent parser for
 it.
 .
 Unlike lex and yacc, peg and leg support unlimited backtracking,
 provide ordered choice as a means for disambiguation, and can combine
 scanning (lexical analysis) and parsing (syntactic analysis) into a
 single activity.

## peg 0.1.18

=== debian/changelog ===
peg (0.1.18-1) unstable; urgency=low

  * Import Upstream version 0.1.18.
  * Update copyright.
  * Refresh copyright_hints.

 -- Giulio Paci <giuliopaci@gmail.com>  Sun, 24 Jul 2016 13:48:10 +0200

peg (0.1.15-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8.
    No changes needed.
  * Update Vcs-* fields.
  * Refresh copyright_hints.
  * Rename "public domain" into "public-domain" in copyright.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 10 May 2016 00:41:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper (>= 9~),
  dh-buildinfo,
  dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/peg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/peg.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/peg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/peg.git
 Homepage: http://piumarta.com/software/peg/
 
 Package: peg

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_INSTALL_TARGET = install
DEB_MAKE_CLEAN_TARGET := spotless

DEB_COMPRESS_EXCLUDE_ALL := .leg .peg .c .ref .bas Makefile

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_EXTRA_ARGS += PREFIX=/usr ROOT=$(DEB_DESTDIR)

DEB_TAR_SRCDIR := .

DEB_INSTALL_EXAMPLES_peg := examples/*

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
common-build-arch::
	PATH="..:$$PATH" $(MAKE) -C examples
	$(MAKE) -C examples clean
endif

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~)

## peg 0.1.20+really0.1.18

=== debian/changelog ===
peg (0.1.20+really0.1.18-1) unstable; urgency=medium

  * Team upload.
  * Roll back to upstream version 0.1.18:
    + 0.1.19 is marked experimental by upstream
    + 0.1.20 is not a real release, it's just the daily snapshot

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 04 Dec 2024 18:27:52 +0100

peg (0.1.20-1) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/control.in: remove
  * watch file standard 4 (routine-update)
  * d/copyright_hints: remove
  * d/s/local-options: drop, not needed
  * cdbs -> dh
  * Build-Depends: remove devscripts, dh-buildinfo, dpkg-dev (>= 1.16.1~)
  * Vcs-Git: /collab-maint/ -> https://salsa.debian.org/debian/peg.git
  * Fix CFLAGS forwarding

  [ Andreas Tille ]
  * Secure URI in watch file
  * New upstream version
  * Use secure URI in Homepage field.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 04 Dec 2024 16:35:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Giulio Paci <giuliopaci@gmail.com>
-Build-Depends: cdbs,
- devscripts,
- debhelper (>= 9~),
- dh-buildinfo,
- dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/peg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/peg.git
-Homepage: http://piumarta.com/software/peg/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/peg.git
+Vcs-Browser: https://salsa.debian.org/debian/peg
+Homepage: https://piumarta.com/software/peg/
+Rules-Requires-Root: no
 
 Package: peg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export XFLAGS := $(CFLAGS)

override_dh_auto_test:
	PATH="..:$$PATH" dh_auto_build -- -C examples
	dh_auto_clean -- -C examples spotless

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr ROOT=$(DEB_DESTDIR)

override_dh_auto_install:
	dh_auto_install -- ROOT=debian/peg/ PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean -- spotless

override_dh_compress:
	dh_compress -X.leg -X.peg -X.c -X.ref -X.bas -XMakefile

%:
	dh $@

=== debian/watch ===
version=4
https://piumarta.com/software/peg/ .*peg-(\d[\d\.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
